Groovy 1.7.0

## org.codehaus.groovy.transform
Class CategoryASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.CategoryASTTransformation

All Implemented Interfaces:
  ASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    class CategoryASTTransformation
    extends Object

Handles generation of code for the @Category annotation - all non-static methods converted to static ones with additional parameter 'self'

author:
  Alex Tkachman

Constructor Summary
`CategoryASTTransformation()`

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)` Property invocations done on 'this' reference are transformed so that the invocations at runtime are done on the additional parameter 'self'

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### CategoryASTTransformation

    CategoryASTTransformation()

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

  Property invocations done on 'this' reference are transformed so that the invocations at runtime are done on the additional parameter 'self'

Copyright © 2003-2009 The Codehaus. All rights reserved.